# Reference Processes Reference Processes ## Creates a new reference process record that does not already exist. - [POST /referenceProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/createreferenceprocess.md): This method will auto-generate an ID and create a new reference process. If an ID is specified for the reference process, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /referenceProcesses/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/listprocessesbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /referenceProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a reference process from the system by its ID. - [DELETE /referenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/deletereferenceprocess.md): This method will delete a reference process with the specified ID. ## Returns a reference process from the system by its ID. - [GET /referenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/getreferenceprocess.md): This method will look up a reference process by the specified ID and return it back. ## Partially updates a reference process with the specified ID. - [PATCH /referenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/patchreferenceprocess.md): This method will patch an existing reference process with the specified ID, using the HTTP PATCH specification. ## Updates a reference process with the specified ID. - [PUT /referenceProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-processes/updatereferenceprocess.md): This method will update an existing reference process with the specified ID.